> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# [BETA] List Account Products

> Retrieve a list of products associated with a specific account.



## OpenAPI

````yaml /openapi.json get /public/v1/toppie/products
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/toppie/products:
    get:
      tags:
        - Toppie API
      summary: '[BETA] List Account Products'
      description: Retrieve a list of products associated with a specific account.
      operationId: list_account_products
      parameters:
        - name: next_page
          in: query
          required: false
          schema:
            description: >-
              A token provided in a previous response. If not empty, it is used
              to retrieve the page that follows.
            oneOf:
              - type: string
              - type: 'null'
          description: >-
            A token provided in a previous response. If not empty, it is used to
            retrieve the page that follows.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: Limit of products to retrieve.
            default: 100
          description: Limit of products to retrieve.
        - name: search
          in: query
          required: false
          schema:
            description: Search query for product names.
            oneOf:
              - type: string
              - type: 'null'
          description: Search query for product names.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Advanced_APIs_GetPublicAgencyProductsResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_GetPublicAgencyProductsResponse:
      properties:
        hasMore:
          type: boolean
          title: Hasmore
          description: >-
            Flag that indicates whether more results are available. `true`
            indicates there is a next page of results. `false` indicates  this
            response contains the last page of results.
        nextPage:
          title: Nextpage
          description: >-
            Pagination cursor. Provide this value as a `next_page` query
            parameter in a new request to retrieve the next page of results.
          examples:
            - SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo=
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
        products:
          items:
            $ref: '#/components/schemas/Advanced_APIs_PublicAgencyProduct'
          type: array
          title: Products
          description: List of products that belong to the agency
      type: object
      required:
        - hasMore
        - products
      title: GetPublicAgencyProductsResponse
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_PublicAgencyProduct:
      properties:
        id:
          type: string
          title: Id
          description: Internal identifier for the agency product
        name:
          type: string
          title: Name
          description: Product name
        description:
          type: string
          title: Description
          description: Product description
        categories:
          items:
            type: string
          type: array
          title: Categories
          description: List of categories this product belongs to
        brands:
          items:
            type: string
          type: array
          title: Brands
          description: List of brands associated with this product
        images:
          items:
            type: string
            minLength: 1
            format: uri
          type: array
          title: Images
          description: List of image URLs for this product
      type: object
      required:
        - id
        - name
        - description
        - categories
        - brands
        - images
      title: PublicAgencyProduct
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````